<?xml version="1.0" encoding="UTF-8"?>
<incidents format="6" by="lint 8.12.0" type="incidents">

    <incident
        id="ScopedStorage"
        severity="warning"
        message="The Google Play store has a policy that limits usage of MANAGE_EXTERNAL_STORAGE">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*manifest*0}"
            line="12"
            column="36"
            startOffset="637"
            endLine="12"
            endColumn="78"
            endOffset="679"/>
    </incident>

    <incident
        id="OldTargetApi"
        severity="warning"
        message="Not targeting the latest versions of Android; compatibility modes apply. Consider testing and updating this version. Consult the `android.os.Build.VERSION_CODES` javadoc for details.">
        <fix-replace
            description="Update targetSdkVersion to 36"
            oldString="34"
            replacement="36"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="13"
            column="9"
            startOffset="225"
            endLine="13"
            endColumn="21"
            endOffset="237"/>
    </incident>

    <incident
        id="SuspiciousIndentation"
        severity="error"
        message="Suspicious indentation: This is indented but is not continuing the previous expression (`val isAtBottom = las`...)">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/chat/ChatActivity.kt"
            line="783"
            column="13"
            startOffset="33529"
            endLine="783"
            endColumn="52"
            endOffset="33568"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/chat/ChatActivity.kt"
            line="781"
            column="9"
            startOffset="33453"
            endLine="781"
            endColumn="71"
            endOffset="33515"
            message="Previous statement here"/>
    </incident>

    <incident
        id="VectorRaster"
        severity="warning"
        message="Limit vector icons sizes to 200×200 to keep icon drawing fast; see https://developer.android.com/studio/write/vector-asset-studio#when for more">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/drawable/ic_group_chat.xml"
            line="2"
            column="20"
            startOffset="86"
            endLine="2"
            endColumn="25"
            endOffset="91"/>
    </incident>

    <incident
        id="AndroidGradlePluginVersion"
        severity="warning"
        message="A newer version of Gradle than 8.13 is available: 8.14.3">
        <fix-replace
            description="Update to 8.14.3"
            oldString="8.13"
            replacement="8.14.3"
            priority="0"/>
        <location
            file="$HOME/mydata/SRC/crm.mcmed.ru/android-chat-app/gradle/wrapper/gradle-wrapper.properties"
            line="3"
            column="17"
            startOffset="81"
            endLine="3"
            endColumn="79"
            endOffset="143"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.core:core-ktx than 1.12.0 is available: 1.17.0">
        <fix-replace
            description="Change to 1.17.0"
            family="Update versions"
            oldString="1.12.0"
            replacement="1.17.0"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="54"
            column="20"
            startOffset="1160"
            endLine="54"
            endColumn="51"
            endOffset="1191"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.lifecycle:lifecycle-runtime-ktx than 2.7.0 is available: 2.10.0">
        <fix-replace
            description="Change to 2.10.0"
            family="Update versions"
            oldString="2.7.0"
            replacement="2.10.0"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="55"
            column="20"
            startOffset="1211"
            endLine="55"
            endColumn="68"
            endOffset="1259"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.activity:activity-compose than 1.8.2 is available: 1.12.2">
        <fix-replace
            description="Change to 1.12.2"
            family="Update versions"
            oldString="1.8.2"
            replacement="1.12.2"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="56"
            column="20"
            startOffset="1279"
            endLine="56"
            endColumn="62"
            endOffset="1321"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.fragment:fragment-ktx than 1.6.2 is available: 1.8.9">
        <fix-replace
            description="Change to 1.8.9"
            family="Update versions"
            oldString="1.6.2"
            replacement="1.8.9"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="57"
            column="20"
            startOffset="1341"
            endLine="57"
            endColumn="58"
            endOffset="1379"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.appcompat:appcompat than 1.6.1 is available: 1.7.1">
        <fix-replace
            description="Change to 1.7.1"
            family="Update versions"
            oldString="1.6.1"
            replacement="1.7.1"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="58"
            column="20"
            startOffset="1399"
            endLine="58"
            endColumn="56"
            endOffset="1435"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of com.google.android.material:material than 1.11.0 is available: 1.13.0">
        <fix-replace
            description="Change to 1.13.0"
            family="Update versions"
            oldString="1.11.0"
            replacement="1.13.0"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="59"
            column="20"
            startOffset="1455"
            endLine="59"
            endColumn="65"
            endOffset="1500"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.constraintlayout:constraintlayout than 2.1.4 is available: 2.2.1">
        <fix-replace
            description="Change to 2.2.1"
            family="Update versions"
            oldString="2.1.4"
            replacement="2.2.1"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="60"
            column="20"
            startOffset="1520"
            endLine="60"
            endColumn="70"
            endOffset="1570"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.swiperefreshlayout:swiperefreshlayout than 1.1.0 is available: 1.2.0">
        <fix-replace
            description="Change to 1.2.0"
            family="Update versions"
            oldString="1.1.0"
            replacement="1.2.0"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="61"
            column="20"
            startOffset="1590"
            endLine="61"
            endColumn="74"
            endOffset="1644"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.room:room-runtime than 2.6.1 is available: 2.8.4">
        <fix-replace
            description="Change to 2.8.4"
            family="Update versions"
            oldString="2.6.1"
            replacement="2.8.4"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="79"
            column="20"
            startOffset="2184"
            endLine="79"
            endColumn="54"
            endOffset="2218"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.room:room-ktx than 2.6.1 is available: 2.8.4">
        <fix-replace
            description="Change to 2.8.4"
            family="Update versions"
            oldString="2.6.1"
            replacement="2.8.4"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="80"
            column="20"
            startOffset="2238"
            endLine="80"
            endColumn="50"
            endOffset="2268"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.work:work-runtime-ktx than 2.9.0 is available: 2.11.0">
        <fix-replace
            description="Change to 2.11.0"
            family="Update versions"
            oldString="2.9.0"
            replacement="2.11.0"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="83"
            column="20"
            startOffset="2308"
            endLine="83"
            endColumn="58"
            endOffset="2346"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.test.ext:junit than 1.1.5 is available: 1.3.0">
        <fix-replace
            description="Change to 1.3.0"
            family="Update versions"
            oldString="1.1.5"
            replacement="1.3.0"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="89"
            column="31"
            startOffset="2609"
            endLine="89"
            endColumn="62"
            endOffset="2640"/>
    </incident>

    <incident
        id="GradleDependency"
        severity="warning"
        message="A newer version of androidx.test.espresso:espresso-core than 3.5.1 is available: 3.7.0">
        <fix-replace
            description="Change to 3.7.0"
            family="Update versions"
            oldString="3.5.1"
            replacement="3.7.0"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="90"
            column="31"
            startOffset="2671"
            endLine="90"
            endColumn="75"
            endOffset="2715"/>
    </incident>

    <incident
        id="NewerVersionAvailable"
        severity="warning"
        message="A newer version of com.squareup.retrofit2:retrofit than 2.9.0 is available: 3.0.0">
        <fix-replace
            description="Change to 3.0.0"
            family="Update versions"
            oldString="2.9.0"
            replacement="3.0.0"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="65"
            column="20"
            startOffset="1738"
            endLine="65"
            endColumn="59"
            endOffset="1777"/>
    </incident>

    <incident
        id="NewerVersionAvailable"
        severity="warning"
        message="A newer version of com.squareup.retrofit2:converter-gson than 2.9.0 is available: 3.0.0">
        <fix-replace
            description="Change to 3.0.0"
            family="Update versions"
            oldString="2.9.0"
            replacement="3.0.0"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="66"
            column="20"
            startOffset="1797"
            endLine="66"
            endColumn="65"
            endOffset="1842"/>
    </incident>

    <incident
        id="NewerVersionAvailable"
        severity="warning"
        message="A newer version of com.squareup.okhttp3:logging-interceptor than 4.12.0 is available: 5.3.2">
        <fix-replace
            description="Change to 5.3.2"
            family="Update versions"
            oldString="4.12.0"
            replacement="5.3.2"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="67"
            column="20"
            startOffset="1862"
            endLine="67"
            endColumn="69"
            endOffset="1911"/>
    </incident>

    <incident
        id="NewerVersionAvailable"
        severity="warning"
        message="A newer version of com.squareup.okhttp3:okhttp than 4.12.0 is available: 5.3.2">
        <fix-replace
            description="Change to 5.3.2"
            family="Update versions"
            oldString="4.12.0"
            replacement="5.3.2"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="70"
            column="20"
            startOffset="1949"
            endLine="70"
            endColumn="56"
            endOffset="1985"/>
    </incident>

    <incident
        id="NewerVersionAvailable"
        severity="warning"
        message="A newer version of com.github.bumptech.glide:glide than 4.16.0 is available: 5.0.5">
        <fix-replace
            description="Change to 5.0.5"
            family="Update versions"
            oldString="4.16.0"
            replacement="5.0.5"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="73"
            column="20"
            startOffset="2027"
            endLine="73"
            endColumn="60"
            endOffset="2067"/>
    </incident>

    <incident
        id="NewerVersionAvailable"
        severity="warning"
        message="A newer version of com.google.code.gson:gson than 2.10.1 is available: 2.13.2">
        <fix-replace
            description="Change to 2.13.2"
            family="Update versions"
            oldString="2.10.1"
            replacement="2.13.2"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="76"
            column="20"
            startOffset="2108"
            endLine="76"
            endColumn="54"
            endOffset="2142"/>
    </incident>

    <incident
        id="NewerVersionAvailable"
        severity="warning"
        message="A newer version of org.jetbrains.kotlinx:kotlinx-coroutines-test than 1.7.3 is available: 1.10.2">
        <fix-replace
            description="Change to 1.10.2"
            family="Update versions"
            oldString="1.7.3"
            replacement="1.10.2"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="86"
            column="24"
            startOffset="2415"
            endLine="86"
            endColumn="77"
            endOffset="2468"/>
    </incident>

    <incident
        id="NewerVersionAvailable"
        severity="warning"
        message="A newer version of io.mockk:mockk than 1.13.8 is available: 1.14.7">
        <fix-replace
            description="Change to 1.14.7"
            family="Update versions"
            oldString="1.13.8"
            replacement="1.14.7"
            priority="0"/>
        <location
            file="${:app*projectDir}/build.gradle"
            line="87"
            column="24"
            startOffset="2492"
            endLine="87"
            endColumn="47"
            endOffset="2515"/>
    </incident>

    <incident
        id="UseAppTint"
        severity="error"
        message="Must use `app:tint` instead of `android:tint`">
        <fix-composite
            description="Set tint=&quot;@android:color/white&quot; and Delete tint">
            <fix-attribute
                description="Set tint=&quot;@android:color/white&quot;"
                namespace="http://schemas.android.com/apk/res-auto"
                attribute="tint"
                value="@android:color/white"/>
            <fix-attribute
                description="Delete tint"
                namespace="http://schemas.android.com/apk/res/android"
                attribute="tint"/>
        </fix-composite>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_image_viewer.xml"
            line="39"
            column="21"
            startOffset="1722"
            endLine="39"
            endColumn="56"
            endOffset="1757"/>
    </incident>

    <incident
        id="UseAppTint"
        severity="error"
        message="Must use `app:tint` instead of `android:tint`">
        <fix-composite
            description="Set tint=&quot;@android:color/white&quot; and Delete tint">
            <fix-attribute
                description="Set tint=&quot;@android:color/white&quot;"
                namespace="http://schemas.android.com/apk/res-auto"
                attribute="tint"
                value="@android:color/white"/>
            <fix-attribute
                description="Delete tint"
                namespace="http://schemas.android.com/apk/res/android"
                attribute="tint"/>
        </fix-composite>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_image_viewer.xml"
            line="64"
            column="21"
            startOffset="2878"
            endLine="64"
            endColumn="56"
            endOffset="2913"/>
    </incident>

    <incident
        id="UseCompatLoadingForDrawables"
        severity="warning"
        message="Use `AppCompatResources.getDrawable()`">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainActivity.kt"
            line="180"
            column="28"
            startOffset="7218"
            endLine="180"
            endColumn="69"
            endOffset="7259"/>
    </incident>

    <incident
        id="NotifyDataSetChanged"
        severity="warning"
        message="It will always be more efficient to use more specific change events if you can. Rely on `notifyDataSetChanged` as a last resort.">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/chat/ChatActivity.kt"
            line="452"
            column="25"
            startOffset="20409"
            endLine="452"
            endColumn="62"
            endOffset="20446"/>
    </incident>

    <incident
        id="NotifyDataSetChanged"
        severity="warning"
        message="It will always be more efficient to use more specific change events if you can. Rely on `notifyDataSetChanged` as a last resort.">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainActivity.kt"
            line="264"
            column="25"
            startOffset="10702"
            endLine="264"
            endColumn="59"
            endOffset="10736"/>
    </incident>

    <incident
        id="NotifyDataSetChanged"
        severity="warning"
        message="It will always be more efficient to use more specific change events if you can. Rely on `notifyDataSetChanged` as a last resort.">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainActivity.kt"
            line="430"
            column="17"
            startOffset="17213"
            endLine="430"
            endColumn="51"
            endOffset="17247"/>
    </incident>

    <incident
        id="NotifyDataSetChanged"
        severity="warning"
        message="It will always be more efficient to use more specific change events if you can. Rely on `notifyDataSetChanged` as a last resort.">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainActivity.kt"
            line="434"
            column="17"
            startOffset="17376"
            endLine="434"
            endColumn="51"
            endOffset="17410"/>
    </incident>

    <incident
        id="NotifyDataSetChanged"
        severity="warning"
        message="It will always be more efficient to use more specific change events if you can. Rely on `notifyDataSetChanged` as a last resort.">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/UserSelectionActivity.kt"
            line="189"
            column="9"
            startOffset="6983"
            endLine="189"
            endColumn="43"
            endOffset="7017"/>
    </incident>

    <incident
        id="VectorPath"
        severity="warning"
        message="Very long vector path (4641 characters), which is bad for performance. Considering reducing precision, removing minor details or rasterizing vector.">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/drawable/ic_group_chat.xml"
            line="83"
            column="27"
            startOffset="6298"
            endLine="83"
            endColumn="4668"
            endOffset="10939"/>
    </incident>

    <incident
        id="Overdraw"
        severity="warning"
        message="Possible overdraw: Root element paints background `@color/background` with a theme that also paints a background (inferred theme is `@style/Theme_CRMChat_NoActionBar`)">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_auth.xml"
            line="7"
            column="5"
            startOffset="341"
            endLine="7"
            endColumn="43"
            endOffset="379"/>
    </incident>

    <incident
        id="Overdraw"
        severity="warning"
        message="Possible overdraw: Root element paints background `@color/background` with a theme that also paints a background (inferred theme is `@style/Theme_CRMChat_NoActionBar`)">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_chat.xml"
            line="7"
            column="5"
            startOffset="341"
            endLine="7"
            endColumn="43"
            endOffset="379"/>
    </incident>

    <incident
        id="Overdraw"
        severity="warning"
        message="Possible overdraw: Root element paints background `@color/background` with a theme that also paints a background (inferred theme is `@style/Theme_CRMChat_NoActionBar`)">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_create_chat.xml"
            line="7"
            column="5"
            startOffset="341"
            endLine="7"
            endColumn="43"
            endOffset="379"/>
    </incident>

    <incident
        id="Overdraw"
        severity="warning"
        message="Possible overdraw: Root element paints background `@color/background` with a theme that also paints a background (inferred theme is `@style/Theme.CRMChat`)">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_image_viewer.xml"
            line="7"
            column="5"
            startOffset="343"
            endLine="7"
            endColumn="43"
            endOffset="381"/>
    </incident>

    <incident
        id="Overdraw"
        severity="warning"
        message="Possible overdraw: Root element paints background `@color/background` with a theme that also paints a background (inferred theme is `@style/Theme_CRMChat_NoActionBar`)">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_main.xml"
            line="7"
            column="5"
            startOffset="341"
            endLine="7"
            endColumn="43"
            endOffset="379"/>
    </incident>

    <incident
        id="Overdraw"
        severity="warning"
        message="Possible overdraw: Root element paints background `@color/background` with a theme that also paints a background (inferred theme is `@style/Theme.CRMChat`)">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_profile.xml"
            line="7"
            column="5"
            startOffset="341"
            endLine="7"
            endColumn="43"
            endOffset="379"/>
    </incident>

    <incident
        id="Overdraw"
        severity="warning"
        message="Possible overdraw: Root element paints background `@color/background` with a theme that also paints a background (inferred theme is `@style/Theme.CRMChat`)">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_settings.xml"
            line="7"
            column="5"
            startOffset="341"
            endLine="7"
            endColumn="43"
            endOffset="379"/>
    </incident>

    <incident
        id="Overdraw"
        severity="warning"
        message="Possible overdraw: Root element paints background `@color/background` with a theme that also paints a background (inferred theme is `@style/Theme_CRMChat_NoActionBar`)">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_user_selection.xml"
            line="7"
            column="5"
            startOffset="341"
            endLine="7"
            endColumn="43"
            endOffset="379"/>
    </incident>

    <incident
        id="TypographyEllipsis"
        severity="warning"
        message="Replace &quot;...&quot; with ellipsis character (…, &amp;#8230;) ?">
        <fix-replace
            description="Replace with …"
            oldString="..."
            replacement="…"
            priority="0"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/values/strings.xml"
            line="30"
            column="38"
            startOffset="1927"
            endLine="30"
            endColumn="58"
            endOffset="1947"/>
    </incident>

    <incident
        id="TypographyEllipsis"
        severity="warning"
        message="Replace &quot;...&quot; with ellipsis character (…, &amp;#8230;) ?">
        <fix-replace
            description="Replace with …"
            oldString="..."
            replacement="…"
            priority="0"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/values/strings.xml"
            line="33"
            column="28"
            startOffset="2091"
            endLine="33"
            endColumn="39"
            endOffset="2102"/>
    </incident>

    <incident
        id="IconLauncherShape"
        severity="warning"
        message="Launcher icon used as round icon did not have a circular shape">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-hdpi/ic_launcher_round.png"/>
    </incident>

    <incident
        id="IconLauncherShape"
        severity="warning"
        message="Launcher icon used as round icon did not have a circular shape">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-mdpi/ic_launcher_round.png"/>
    </incident>

    <incident
        id="IconLauncherShape"
        severity="warning"
        message="Launcher icon used as round icon did not have a circular shape">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-xhdpi/ic_launcher_round.png"/>
    </incident>

    <incident
        id="IconLauncherShape"
        severity="warning"
        message="Launcher icon used as round icon did not have a circular shape">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-xxhdpi/ic_launcher_round.png"/>
    </incident>

    <incident
        id="IconLauncherShape"
        severity="warning"
        message="Launcher icon used as round icon did not have a circular shape">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-xxxhdpi/ic_launcher_round.png"/>
    </incident>

    <incident
        id="IconDipSize"
        severity="warning"
        message="The image `ic_launcher.png` varies significantly in its density-independent (dip) size across the various density versions: mipmap-hdpi/ic_launcher.png: 71x69 dp (106x104 px), mipmap-mdpi/ic_launcher.png: 106x104 dp (106x104 px), mipmap-xhdpi/ic_launcher.png: 53x52 dp (106x104 px), mipmap-xxhdpi/ic_launcher.png: 35x35 dp (106x104 px), mipmap-xxxhdpi/ic_launcher.png: 27x26 dp (106x104 px)">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-xxxhdpi/ic_launcher.png"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-xxhdpi/ic_launcher.png"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-xhdpi/ic_launcher.png"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-hdpi/ic_launcher.png"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-mdpi/ic_launcher.png"/>
    </incident>

    <incident
        id="IconDipSize"
        severity="warning"
        message="The image `ic_launcher_round.png` varies significantly in its density-independent (dip) size across the various density versions: mipmap-hdpi/ic_launcher_round.png: 71x69 dp (106x104 px), mipmap-mdpi/ic_launcher_round.png: 106x104 dp (106x104 px), mipmap-xhdpi/ic_launcher_round.png: 53x52 dp (106x104 px), mipmap-xxhdpi/ic_launcher_round.png: 35x35 dp (106x104 px), mipmap-xxxhdpi/ic_launcher_round.png: 27x26 dp (106x104 px)">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-xxxhdpi/ic_launcher_round.png"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-xxhdpi/ic_launcher_round.png"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-xhdpi/ic_launcher_round.png"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-hdpi/ic_launcher_round.png"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-mdpi/ic_launcher_round.png"/>
    </incident>

    <incident
        id="IconDuplicates"
        severity="warning"
        message="The following unrelated icon files have identical contents: ic_launcher.png, ic_launcher_round.png, ic_launcher.png, ic_launcher_round.png, ic_launcher.png, ic_launcher_round.png, ic_launcher.png, ic_launcher_round.png, ic_launcher.png, ic_launcher_round.png">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-xxxhdpi/ic_launcher_round.png"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-xxxhdpi/ic_launcher.png"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-xxhdpi/ic_launcher_round.png"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-xxhdpi/ic_launcher.png"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-xhdpi/ic_launcher_round.png"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-xhdpi/ic_launcher.png"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-mdpi/ic_launcher_round.png"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-mdpi/ic_launcher.png"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-hdpi/ic_launcher_round.png"/>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/mipmap-hdpi/ic_launcher.png"/>
    </incident>

    <incident
        id="SmallSp"
        severity="warning"
        message="Avoid using sizes smaller than `11sp`: `10sp`">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/item_chat.xml"
            line="88"
            column="13"
            startOffset="3695"
            endLine="88"
            endColumn="36"
            endOffset="3718"/>
    </incident>

    <incident
        id="SmallSp"
        severity="warning"
        message="Avoid using sizes smaller than `11sp`: `10sp`">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/item_message.xml"
            line="294"
            column="9"
            startOffset="11869"
            endLine="294"
            endColumn="32"
            endOffset="11892"/>
    </incident>

    <incident
        id="SmallSp"
        severity="warning"
        message="Avoid using sizes smaller than `11sp`: `10sp`">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/item_message.xml"
            line="311"
            column="9"
            startOffset="12486"
            endLine="311"
            endColumn="32"
            endOffset="12509"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `SharedPreferences.edit` instead?">
        <fix-composite
            description="Replace with the edit extension function"
            family="Replace with the edit extension function"
            robot="true"
            independent="true">
            <fix-replace
                description="Replace with edit"
                robot="true"
                independent="true"
                oldString="edit("
                replacement="edit"
                reformat="value"
                imports="androidx.core.content.edit"
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/auth/AuthActivity.kt"
                    startOffset="8049"
                    endOffset="8054"/>
            </fix-replace>
            <fix-replace
                description="Replace with  {"
                robot="true"
                independent="true"
                oldString=")"
                replacement=" {"
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/auth/AuthActivity.kt"
                    startOffset="8054"
                    endOffset="8055"/>
            </fix-replace>
            <fix-replace
                description="Delete &quot;.&quot;"
                robot="true"
                independent="true"
                oldString="."
                replacement=""
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/auth/AuthActivity.kt"
                    startOffset="8068"
                    endOffset="8069"/>
            </fix-replace>
            <fix-replace
                description="Replace with }"
                robot="true"
                independent="true"
                oldString=".apply()"
                replacement="}"
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/auth/AuthActivity.kt"
                    startOffset="8378"
                    endOffset="8386"/>
            </fix-replace>
            <fix-replace
                description="Replace with     "
                robot="true"
                independent="true"
                oldString=""
                replacement="    "
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/auth/AuthActivity.kt"
                    startOffset="8056"
                    endOffset="8056"/>
            </fix-replace>
            <fix-replace
                description="Replace with     "
                robot="true"
                independent="true"
                oldString=""
                replacement="    "
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/auth/AuthActivity.kt"
                    startOffset="8100"
                    endOffset="8100"/>
            </fix-replace>
            <fix-replace
                description="Replace with     "
                robot="true"
                independent="true"
                oldString=""
                replacement="    "
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/auth/AuthActivity.kt"
                    startOffset="8148"
                    endOffset="8148"/>
            </fix-replace>
            <fix-replace
                description="Replace with     "
                robot="true"
                independent="true"
                oldString=""
                replacement="    "
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/auth/AuthActivity.kt"
                    startOffset="8222"
                    endOffset="8222"/>
            </fix-replace>
            <fix-replace
                description="Replace with     "
                robot="true"
                independent="true"
                oldString=""
                replacement="    "
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/auth/AuthActivity.kt"
                    startOffset="8270"
                    endOffset="8270"/>
            </fix-replace>
            <fix-replace
                description="Replace with     "
                robot="true"
                independent="true"
                oldString=""
                replacement="    "
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/auth/AuthActivity.kt"
                    startOffset="8315"
                    endOffset="8315"/>
            </fix-replace>
        </fix-composite>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/auth/AuthActivity.kt"
            line="197"
            column="9"
            startOffset="8043"
            endLine="197"
            endColumn="21"
            endOffset="8055"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `SharedPreferences.edit` instead?">
        <fix-composite
            description="Replace with the edit extension function"
            family="Replace with the edit extension function"
            robot="true"
            independent="true">
            <fix-replace
                description="Replace with edit"
                robot="true"
                independent="true"
                oldString="edit("
                replacement="edit"
                reformat="value"
                imports="androidx.core.content.edit"
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/worker/BackgroundSyncWorker.kt"
                    startOffset="5819"
                    endOffset="5824"/>
            </fix-replace>
            <fix-replace
                description="Replace with  {"
                robot="true"
                independent="true"
                oldString=")"
                replacement=" {"
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/worker/BackgroundSyncWorker.kt"
                    startOffset="5824"
                    endOffset="5825"/>
            </fix-replace>
            <fix-replace
                description="Delete &quot;.&quot;"
                robot="true"
                independent="true"
                oldString="."
                replacement=""
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/worker/BackgroundSyncWorker.kt"
                    startOffset="5825"
                    endOffset="5826"/>
            </fix-replace>
            <fix-replace
                description="Replace with }"
                robot="true"
                independent="true"
                oldString=".apply()"
                replacement="}"
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/worker/BackgroundSyncWorker.kt"
                    startOffset="5885"
                    endOffset="5893"/>
            </fix-replace>
        </fix-composite>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/worker/BackgroundSyncWorker.kt"
            line="120"
            column="9"
            startOffset="5813"
            endLine="120"
            endColumn="21"
            endOffset="5825"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX function `createBitmap` instead?">
        <fix-replace
            description="Replace with the createBitmap function"
            family="Replace with the createBitmap function"
            robot="true"
            independent="true"
            oldString="android.graphics.Bitmap.createBitmap(size, size, android.graphics.Bitmap.Config.ARGB_8888)"
            replacement="createBitmap(size, size)"
            reformat="value"
            imports="androidx.core.graphics.createBitmap"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/chat/ChatActivity.kt"
                startOffset="18202"
                endOffset="18292"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/chat/ChatActivity.kt"
            line="401"
            column="22"
            startOffset="18202"
            endLine="401"
            endColumn="112"
            endOffset="18292"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX function `createBitmap` instead?">
        <fix-replace
            description="Replace with the createBitmap function"
            family="Replace with the createBitmap function"
            robot="true"
            independent="true"
            oldString="android.graphics.Bitmap.createBitmap(size, size, android.graphics.Bitmap.Config.ARGB_8888)"
            replacement="createBitmap(size, size)"
            reformat="value"
            imports="androidx.core.graphics.createBitmap"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/ChatAdapter.kt"
                startOffset="7292"
                endOffset="7382"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/ChatAdapter.kt"
            line="172"
            column="26"
            startOffset="7292"
            endLine="172"
            endColumn="116"
            endOffset="7382"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `SharedPreferences.edit` instead?">
        <fix-composite
            description="Replace with the edit extension function"
            family="Replace with the edit extension function"
            robot="true"
            independent="true">
            <fix-replace
                description="Replace with edit"
                robot="true"
                independent="true"
                oldString="edit("
                replacement="edit"
                reformat="value"
                imports="androidx.core.content.edit"
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainActivity.kt"
                    startOffset="19396"
                    endOffset="19401"/>
            </fix-replace>
            <fix-replace
                description="Replace with  {"
                robot="true"
                independent="true"
                oldString=")"
                replacement=" {"
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainActivity.kt"
                    startOffset="19401"
                    endOffset="19402"/>
            </fix-replace>
            <fix-replace
                description="Delete &quot;.&quot;"
                robot="true"
                independent="true"
                oldString="."
                replacement=""
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainActivity.kt"
                    startOffset="19415"
                    endOffset="19416"/>
            </fix-replace>
            <fix-replace
                description="Replace with }"
                robot="true"
                independent="true"
                oldString=".apply()"
                replacement="}"
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainActivity.kt"
                    startOffset="19553"
                    endOffset="19561"/>
            </fix-replace>
            <fix-replace
                description="Replace with     "
                robot="true"
                independent="true"
                oldString=""
                replacement="    "
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainActivity.kt"
                    startOffset="19403"
                    endOffset="19403"/>
            </fix-replace>
            <fix-replace
                description="Replace with     "
                robot="true"
                independent="true"
                oldString=""
                replacement="    "
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainActivity.kt"
                    startOffset="19437"
                    endOffset="19437"/>
            </fix-replace>
            <fix-replace
                description="Replace with     "
                robot="true"
                independent="true"
                oldString=""
                replacement="    "
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainActivity.kt"
                    startOffset="19471"
                    endOffset="19471"/>
            </fix-replace>
            <fix-replace
                description="Replace with     "
                robot="true"
                independent="true"
                oldString=""
                replacement="    "
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainActivity.kt"
                    startOffset="19502"
                    endOffset="19502"/>
            </fix-replace>
        </fix-composite>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainActivity.kt"
            line="496"
            column="9"
            startOffset="19390"
            endLine="496"
            endColumn="21"
            endOffset="19402"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX function `createBitmap` instead?">
        <fix-replace
            description="Replace with the createBitmap function"
            family="Replace with the createBitmap function"
            robot="true"
            independent="true"
            oldString="android.graphics.Bitmap.createBitmap(size, size, android.graphics.Bitmap.Config.ARGB_8888)"
            replacement="createBitmap(size, size)"
            reformat="value"
            imports="androidx.core.graphics.createBitmap"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainViewModel.kt"
                startOffset="26843"
                endOffset="26933"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainViewModel.kt"
            line="625"
            column="26"
            startOffset="26843"
            endLine="625"
            endColumn="116"
            endOffset="26933"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `String.toColorInt` instead?">
        <fix-replace
            description="Replace with the toColorInt extension function"
            family="Replace with the toColorInt extension function"
            robot="true"
            independent="true"
            oldString="android.graphics.Color.parseColor(&quot;#E53935&quot;)"
            replacement="&quot;#E53935&quot;.toColorInt()"
            reformat="value"
            imports="androidx.core.graphics.toColorInt"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainViewModel.kt"
                startOffset="27486"
                endOffset="27530"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainViewModel.kt"
            line="639"
            column="17"
            startOffset="27486"
            endLine="639"
            endColumn="61"
            endOffset="27530"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `String.toColorInt` instead?">
        <fix-replace
            description="Replace with the toColorInt extension function"
            family="Replace with the toColorInt extension function"
            robot="true"
            independent="true"
            oldString="android.graphics.Color.parseColor(&quot;#1E88E5&quot;)"
            replacement="&quot;#1E88E5&quot;.toColorInt()"
            reformat="value"
            imports="androidx.core.graphics.toColorInt"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainViewModel.kt"
                startOffset="27548"
                endOffset="27592"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainViewModel.kt"
            line="640"
            column="17"
            startOffset="27548"
            endLine="640"
            endColumn="61"
            endOffset="27592"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `String.toColorInt` instead?">
        <fix-replace
            description="Replace with the toColorInt extension function"
            family="Replace with the toColorInt extension function"
            robot="true"
            independent="true"
            oldString="android.graphics.Color.parseColor(&quot;#43A047&quot;)"
            replacement="&quot;#43A047&quot;.toColorInt()"
            reformat="value"
            imports="androidx.core.graphics.toColorInt"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainViewModel.kt"
                startOffset="27610"
                endOffset="27654"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainViewModel.kt"
            line="641"
            column="17"
            startOffset="27610"
            endLine="641"
            endColumn="61"
            endOffset="27654"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `String.toColorInt` instead?">
        <fix-replace
            description="Replace with the toColorInt extension function"
            family="Replace with the toColorInt extension function"
            robot="true"
            independent="true"
            oldString="android.graphics.Color.parseColor(&quot;#FB8C00&quot;)"
            replacement="&quot;#FB8C00&quot;.toColorInt()"
            reformat="value"
            imports="androidx.core.graphics.toColorInt"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainViewModel.kt"
                startOffset="27672"
                endOffset="27716"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainViewModel.kt"
            line="642"
            column="17"
            startOffset="27672"
            endLine="642"
            endColumn="61"
            endOffset="27716"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `String.toColorInt` instead?">
        <fix-replace
            description="Replace with the toColorInt extension function"
            family="Replace with the toColorInt extension function"
            robot="true"
            independent="true"
            oldString="android.graphics.Color.parseColor(&quot;#8E24AA&quot;)"
            replacement="&quot;#8E24AA&quot;.toColorInt()"
            reformat="value"
            imports="androidx.core.graphics.toColorInt"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainViewModel.kt"
                startOffset="27734"
                endOffset="27778"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainViewModel.kt"
            line="643"
            column="17"
            startOffset="27734"
            endLine="643"
            endColumn="61"
            endOffset="27778"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX function `createBitmap` instead?">
        <fix-replace
            description="Replace with the createBitmap function"
            family="Replace with the createBitmap function"
            robot="true"
            independent="true"
            oldString="android.graphics.Bitmap.createBitmap(diameter, diameter, android.graphics.Bitmap.Config.ARGB_8888)"
            replacement="createBitmap(diameter, diameter)"
            reformat="value"
            imports="androidx.core.graphics.createBitmap"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainViewModel.kt"
                startOffset="28956"
                endOffset="29054"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/MainViewModel.kt"
            line="674"
            column="22"
            startOffset="28956"
            endLine="674"
            endColumn="120"
            endOffset="29054"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `ViewGroup.isNotEmpty` instead?">
        <fix-replace
            description="Replace with the isNotEmpty extension function"
            family="Replace with the isNotEmpty extension function"
            robot="true"
            independent="true"
            oldString="sentFileLayout.childCount > 0"
            replacement="sentFileLayout.isNotEmpty()"
            reformat="value"
            imports="androidx.core.view.isNotEmpty"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/chat/MessageAdapter.kt"
                startOffset="10418"
                endOffset="10447"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/chat/MessageAdapter.kt"
            line="214"
            column="78"
            startOffset="10418"
            endLine="214"
            endColumn="107"
            endOffset="10447"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `ViewGroup.isNotEmpty` instead?">
        <fix-replace
            description="Replace with the isNotEmpty extension function"
            family="Replace with the isNotEmpty extension function"
            robot="true"
            independent="true"
            oldString="receivedFileLayout.childCount > 0"
            replacement="receivedFileLayout.isNotEmpty()"
            reformat="value"
            imports="androidx.core.view.isNotEmpty"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/chat/MessageAdapter.kt"
                startOffset="15911"
                endOffset="15944"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/chat/MessageAdapter.kt"
            line="313"
            column="82"
            startOffset="15911"
            endLine="313"
            endColumn="115"
            endOffset="15944"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `String.toUri` instead?">
        <fix-replace
            description="Replace with the toUri extension function"
            family="Replace with the toUri extension function"
            robot="true"
            independent="true"
            oldString="android.net.Uri.parse(&quot;package:${activity.packageName}&quot;)"
            replacement="&quot;package:${activity.packageName}&quot;.toUri()"
            reformat="value"
            imports="androidx.core.net.toUri"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/chat/MessageAdapter.kt"
                startOffset="30446"
                endOffset="30502"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/chat/MessageAdapter.kt"
            line="621"
            column="32"
            startOffset="30446"
            endLine="621"
            endColumn="88"
            endOffset="30502"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `String.toUri` instead?">
        <fix-replace
            description="Replace with the toUri extension function"
            family="Replace with the toUri extension function"
            robot="true"
            independent="true"
            oldString="android.net.Uri.parse(&quot;package:${activity.packageName}&quot;)"
            replacement="&quot;package:${activity.packageName}&quot;.toUri()"
            reformat="value"
            imports="androidx.core.net.toUri"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/chat/MessageAdapter.kt"
                startOffset="30446"
                endOffset="30502"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/chat/MessageAdapter.kt"
            line="621"
            column="32"
            startOffset="30446"
            endLine="621"
            endColumn="88"
            endOffset="30502"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX function `createBitmap` instead?">
        <fix-replace
            description="Replace with the createBitmap function"
            family="Replace with the createBitmap function"
            robot="true"
            independent="true"
            oldString="Bitmap.createBitmap(size, size, Bitmap.Config.ARGB_8888)"
            replacement="createBitmap(size, size)"
            reformat="value"
            imports="androidx.core.graphics.createBitmap"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/utils/NotificationHelper.kt"
                startOffset="8520"
                endOffset="8576"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/utils/NotificationHelper.kt"
            line="199"
            column="22"
            startOffset="8520"
            endLine="199"
            endColumn="78"
            endOffset="8576"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `String.toColorInt` instead?">
        <fix-replace
            description="Replace with the toColorInt extension function"
            family="Replace with the toColorInt extension function"
            robot="true"
            independent="true"
            oldString="Color.parseColor(&quot;#E53935&quot;)"
            replacement="&quot;#E53935&quot;.toColorInt()"
            reformat="value"
            imports="androidx.core.graphics.toColorInt"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/utils/NotificationHelper.kt"
                startOffset="9087"
                endOffset="9114"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/utils/NotificationHelper.kt"
            line="216"
            column="13"
            startOffset="9087"
            endLine="216"
            endColumn="40"
            endOffset="9114"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `String.toColorInt` instead?">
        <fix-replace
            description="Replace with the toColorInt extension function"
            family="Replace with the toColorInt extension function"
            robot="true"
            independent="true"
            oldString="Color.parseColor(&quot;#1E88E5&quot;)"
            replacement="&quot;#1E88E5&quot;.toColorInt()"
            reformat="value"
            imports="androidx.core.graphics.toColorInt"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/utils/NotificationHelper.kt"
                startOffset="9135"
                endOffset="9162"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/utils/NotificationHelper.kt"
            line="217"
            column="13"
            startOffset="9135"
            endLine="217"
            endColumn="40"
            endOffset="9162"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `String.toColorInt` instead?">
        <fix-replace
            description="Replace with the toColorInt extension function"
            family="Replace with the toColorInt extension function"
            robot="true"
            independent="true"
            oldString="Color.parseColor(&quot;#43A047&quot;)"
            replacement="&quot;#43A047&quot;.toColorInt()"
            reformat="value"
            imports="androidx.core.graphics.toColorInt"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/utils/NotificationHelper.kt"
                startOffset="9184"
                endOffset="9211"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/utils/NotificationHelper.kt"
            line="218"
            column="13"
            startOffset="9184"
            endLine="218"
            endColumn="40"
            endOffset="9211"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `String.toColorInt` instead?">
        <fix-replace
            description="Replace with the toColorInt extension function"
            family="Replace with the toColorInt extension function"
            robot="true"
            independent="true"
            oldString="Color.parseColor(&quot;#FB8C00&quot;)"
            replacement="&quot;#FB8C00&quot;.toColorInt()"
            reformat="value"
            imports="androidx.core.graphics.toColorInt"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/utils/NotificationHelper.kt"
                startOffset="9234"
                endOffset="9261"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/utils/NotificationHelper.kt"
            line="219"
            column="13"
            startOffset="9234"
            endLine="219"
            endColumn="40"
            endOffset="9261"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `String.toColorInt` instead?">
        <fix-replace
            description="Replace with the toColorInt extension function"
            family="Replace with the toColorInt extension function"
            robot="true"
            independent="true"
            oldString="Color.parseColor(&quot;#8E24AA&quot;)"
            replacement="&quot;#8E24AA&quot;.toColorInt()"
            reformat="value"
            imports="androidx.core.graphics.toColorInt"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/utils/NotificationHelper.kt"
                startOffset="9285"
                endOffset="9312"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/utils/NotificationHelper.kt"
            line="220"
            column="13"
            startOffset="9285"
            endLine="220"
            endColumn="40"
            endOffset="9312"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `String.toColorInt` instead?">
        <fix-replace
            description="Replace with the toColorInt extension function"
            family="Replace with the toColorInt extension function"
            robot="true"
            independent="true"
            oldString="Color.parseColor(&quot;#00ACC1&quot;)"
            replacement="&quot;#00ACC1&quot;.toColorInt()"
            reformat="value"
            imports="androidx.core.graphics.toColorInt"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/utils/NotificationHelper.kt"
                startOffset="9336"
                endOffset="9363"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/utils/NotificationHelper.kt"
            line="221"
            column="13"
            startOffset="9336"
            endLine="221"
            endColumn="40"
            endOffset="9363"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `String.toColorInt` instead?">
        <fix-replace
            description="Replace with the toColorInt extension function"
            family="Replace with the toColorInt extension function"
            robot="true"
            independent="true"
            oldString="Color.parseColor(&quot;#FDD835&quot;)"
            replacement="&quot;#FDD835&quot;.toColorInt()"
            reformat="value"
            imports="androidx.core.graphics.toColorInt"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/utils/NotificationHelper.kt"
                startOffset="9385"
                endOffset="9412"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/utils/NotificationHelper.kt"
            line="222"
            column="13"
            startOffset="9385"
            endLine="222"
            endColumn="40"
            endOffset="9412"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `String.toColorInt` instead?">
        <fix-replace
            description="Replace with the toColorInt extension function"
            family="Replace with the toColorInt extension function"
            robot="true"
            independent="true"
            oldString="Color.parseColor(&quot;#6D4C41&quot;)"
            replacement="&quot;#6D4C41&quot;.toColorInt()"
            reformat="value"
            imports="androidx.core.graphics.toColorInt"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/utils/NotificationHelper.kt"
                startOffset="9436"
                endOffset="9463"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/utils/NotificationHelper.kt"
            line="223"
            column="13"
            startOffset="9436"
            endLine="223"
            endColumn="40"
            endOffset="9463"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX function `createBitmap` instead?">
        <fix-replace
            description="Replace with the createBitmap function"
            family="Replace with the createBitmap function"
            robot="true"
            independent="true"
            oldString="Bitmap.createBitmap(diameter, diameter, Bitmap.Config.ARGB_8888)"
            replacement="createBitmap(diameter, diameter)"
            reformat="value"
            imports="androidx.core.graphics.createBitmap"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/utils/NotificationHelper.kt"
                startOffset="10344"
                endOffset="10408"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/utils/NotificationHelper.kt"
            line="252"
            column="22"
            startOffset="10344"
            endLine="252"
            endColumn="86"
            endOffset="10408"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `SharedPreferences.edit` instead?">
        <fix-composite
            description="Replace with the edit extension function"
            family="Replace with the edit extension function"
            robot="true"
            independent="true">
            <fix-replace
                description="Replace with edit"
                robot="true"
                independent="true"
                oldString="edit("
                replacement="edit"
                reformat="value"
                imports="androidx.core.content.edit"
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/profile/ProfileActivity.kt"
                    startOffset="2610"
                    endOffset="2615"/>
            </fix-replace>
            <fix-replace
                description="Replace with  {"
                robot="true"
                independent="true"
                oldString=")"
                replacement=" {"
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/profile/ProfileActivity.kt"
                    startOffset="2615"
                    endOffset="2616"/>
            </fix-replace>
            <fix-replace
                description="Delete &quot;.&quot;"
                robot="true"
                independent="true"
                oldString="."
                replacement=""
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/profile/ProfileActivity.kt"
                    startOffset="2616"
                    endOffset="2617"/>
            </fix-replace>
            <fix-replace
                description="Replace with }"
                robot="true"
                independent="true"
                oldString=".apply()"
                replacement="}"
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/profile/ProfileActivity.kt"
                    startOffset="2661"
                    endOffset="2669"/>
            </fix-replace>
        </fix-composite>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/profile/ProfileActivity.kt"
            line="82"
            column="9"
            startOffset="2604"
            endLine="82"
            endColumn="21"
            endOffset="2616"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `SharedPreferences.edit` instead?">
        <fix-composite
            description="Replace with the edit extension function"
            family="Replace with the edit extension function"
            robot="true"
            independent="true">
            <fix-replace
                description="Replace with edit"
                robot="true"
                independent="true"
                oldString="edit("
                replacement="edit"
                reformat="value"
                imports="androidx.core.content.edit"
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/profile/ProfileActivity.kt"
                    startOffset="3402"
                    endOffset="3407"/>
            </fix-replace>
            <fix-replace
                description="Replace with  {"
                robot="true"
                independent="true"
                oldString=")"
                replacement=" {"
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/profile/ProfileActivity.kt"
                    startOffset="3407"
                    endOffset="3408"/>
            </fix-replace>
            <fix-replace
                description="Delete &quot;.&quot;"
                robot="true"
                independent="true"
                oldString="."
                replacement=""
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/profile/ProfileActivity.kt"
                    startOffset="3421"
                    endOffset="3422"/>
            </fix-replace>
            <fix-replace
                description="Replace with }"
                robot="true"
                independent="true"
                oldString=".apply()"
                replacement="}"
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/profile/ProfileActivity.kt"
                    startOffset="3551"
                    endOffset="3559"/>
            </fix-replace>
            <fix-replace
                description="Replace with     "
                robot="true"
                independent="true"
                oldString=""
                replacement="    "
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/profile/ProfileActivity.kt"
                    startOffset="3409"
                    endOffset="3409"/>
            </fix-replace>
            <fix-replace
                description="Replace with     "
                robot="true"
                independent="true"
                oldString=""
                replacement="    "
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/profile/ProfileActivity.kt"
                    startOffset="3451"
                    endOffset="3451"/>
            </fix-replace>
            <fix-replace
                description="Replace with     "
                robot="true"
                independent="true"
                oldString=""
                replacement="    "
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/profile/ProfileActivity.kt"
                    startOffset="3495"
                    endOffset="3495"/>
            </fix-replace>
        </fix-composite>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/profile/ProfileActivity.kt"
            line="104"
            column="9"
            startOffset="3396"
            endLine="104"
            endColumn="21"
            endOffset="3408"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `SharedPreferences.edit` instead?">
        <fix-composite
            description="Replace with the edit extension function"
            family="Replace with the edit extension function"
            robot="true"
            independent="true">
            <fix-replace
                description="Replace with edit"
                robot="true"
                independent="true"
                oldString="edit("
                replacement="edit"
                reformat="value"
                imports="androidx.core.content.edit"
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/settings/SettingsActivity.kt"
                    startOffset="2076"
                    endOffset="2081"/>
            </fix-replace>
            <fix-replace
                description="Replace with  {"
                robot="true"
                independent="true"
                oldString=")"
                replacement=" {"
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/settings/SettingsActivity.kt"
                    startOffset="2081"
                    endOffset="2082"/>
            </fix-replace>
            <fix-replace
                description="Delete &quot;.&quot;"
                robot="true"
                independent="true"
                oldString="."
                replacement=""
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/settings/SettingsActivity.kt"
                    startOffset="2082"
                    endOffset="2083"/>
            </fix-replace>
            <fix-replace
                description="Replace with }"
                robot="true"
                independent="true"
                oldString=".apply()"
                replacement="}"
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/settings/SettingsActivity.kt"
                    startOffset="2112"
                    endOffset="2120"/>
            </fix-replace>
        </fix-composite>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/settings/SettingsActivity.kt"
            line="63"
            column="13"
            startOffset="2070"
            endLine="63"
            endColumn="25"
            endOffset="2082"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `SharedPreferences.edit` instead?">
        <fix-composite
            description="Replace with the edit extension function"
            family="Replace with the edit extension function"
            robot="true"
            independent="true">
            <fix-replace
                description="Replace with edit"
                robot="true"
                independent="true"
                oldString="edit("
                replacement="edit"
                reformat="value"
                imports="androidx.core.content.edit"
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/settings/SettingsActivity.kt"
                    startOffset="2755"
                    endOffset="2760"/>
            </fix-replace>
            <fix-replace
                description="Replace with  {"
                robot="true"
                independent="true"
                oldString=")"
                replacement=" {"
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/settings/SettingsActivity.kt"
                    startOffset="2760"
                    endOffset="2761"/>
            </fix-replace>
            <fix-replace
                description="Delete &quot;.&quot;"
                robot="true"
                independent="true"
                oldString="."
                replacement=""
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/settings/SettingsActivity.kt"
                    startOffset="2774"
                    endOffset="2775"/>
            </fix-replace>
            <fix-replace
                description="Replace with }"
                robot="true"
                independent="true"
                oldString=".apply()"
                replacement="}"
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/settings/SettingsActivity.kt"
                    startOffset="2864"
                    endOffset="2872"/>
            </fix-replace>
            <fix-replace
                description="Replace with     "
                robot="true"
                independent="true"
                oldString=""
                replacement="    "
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/settings/SettingsActivity.kt"
                    startOffset="2762"
                    endOffset="2762"/>
            </fix-replace>
            <fix-replace
                description="Replace with     "
                robot="true"
                independent="true"
                oldString=""
                replacement="    "
                priority="0">
                <range
                    file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/settings/SettingsActivity.kt"
                    startOffset="2810"
                    endOffset="2810"/>
            </fix-replace>
        </fix-composite>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/settings/SettingsActivity.kt"
            line="84"
            column="9"
            startOffset="2749"
            endLine="84"
            endColumn="21"
            endOffset="2761"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX function `createBitmap` instead?">
        <fix-replace
            description="Replace with the createBitmap function"
            family="Replace with the createBitmap function"
            robot="true"
            independent="true"
            oldString="android.graphics.Bitmap.createBitmap(size, size, android.graphics.Bitmap.Config.ARGB_8888)"
            replacement="createBitmap(size, size)"
            reformat="value"
            imports="androidx.core.graphics.createBitmap"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/UserSelectionActivity.kt"
                startOffset="12338"
                endOffset="12428"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/UserSelectionActivity.kt"
            line="322"
            column="30"
            startOffset="12338"
            endLine="322"
            endColumn="120"
            endOffset="12428"/>
    </incident>

    <incident
        id="UseKtx"
        severity="warning"
        message="Use the KTX extension function `String.toColorInt` instead?">
        <fix-replace
            description="Replace with the toColorInt extension function"
            family="Replace with the toColorInt extension function"
            robot="true"
            independent="true"
            oldString="android.graphics.Color.parseColor(colors[index])"
            replacement="colors[index].toColorInt()"
            reformat="value"
            imports="androidx.core.graphics.toColorInt"
            priority="0">
            <range
                file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/UserSelectionActivity.kt"
                startOffset="14183"
                endOffset="14231"/>
        </fix-replace>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/UserSelectionActivity.kt"
            line="363"
            column="24"
            startOffset="14183"
            endLine="363"
            endColumn="72"
            endOffset="14231"/>
    </incident>

    <incident
        id="ContentDescription"
        severity="warning"
        message="Missing `contentDescription` attribute on image">
        <fix-alternatives>
            <fix-attribute
                description="Set contentDescription"
                namespace="http://schemas.android.com/apk/res/android"
                attribute="contentDescription"
                value="TODO"
                point="4"
                mark="0"/>
            <fix-attribute
                description="Set importantForAccessibility=&quot;no&quot;"
                namespace="http://schemas.android.com/apk/res/android"
                attribute="importantForAccessibility"
                value="no"/>
        </fix-alternatives>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_chat.xml"
            line="201"
            column="6"
            startOffset="9123"
            endLine="201"
            endColumn="75"
            endOffset="9192"/>
    </incident>

    <incident
        id="ContentDescription"
        severity="warning"
        message="Missing `contentDescription` attribute on image">
        <fix-alternatives>
            <fix-attribute
                description="Set contentDescription"
                namespace="http://schemas.android.com/apk/res/android"
                attribute="contentDescription"
                value="TODO"
                point="4"
                mark="0"/>
            <fix-attribute
                description="Set importantForAccessibility=&quot;no&quot;"
                namespace="http://schemas.android.com/apk/res/android"
                attribute="importantForAccessibility"
                value="no"/>
        </fix-alternatives>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_image_viewer.xml"
            line="72"
            column="6"
            startOffset="3054"
            endLine="72"
            endColumn="15"
            endOffset="3063"/>
    </incident>

    <incident
        id="ContentDescription"
        severity="warning"
        message="Missing `contentDescription` attribute on image">
        <fix-alternatives>
            <fix-attribute
                description="Set contentDescription"
                namespace="http://schemas.android.com/apk/res/android"
                attribute="contentDescription"
                value="TODO"
                point="4"
                mark="0"/>
            <fix-attribute
                description="Set importantForAccessibility=&quot;no&quot;"
                namespace="http://schemas.android.com/apk/res/android"
                attribute="importantForAccessibility"
                value="no"/>
        </fix-alternatives>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/item_chat.xml"
            line="18"
            column="10"
            startOffset="713"
            endLine="18"
            endColumn="19"
            endOffset="722"/>
    </incident>

    <incident
        id="ContentDescription"
        severity="warning"
        message="Missing `contentDescription` attribute on image">
        <fix-alternatives>
            <fix-attribute
                description="Set contentDescription"
                namespace="http://schemas.android.com/apk/res/android"
                attribute="contentDescription"
                value="TODO"
                point="4"
                mark="0"/>
            <fix-attribute
                description="Set importantForAccessibility=&quot;no&quot;"
                namespace="http://schemas.android.com/apk/res/android"
                attribute="importantForAccessibility"
                value="no"/>
        </fix-alternatives>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/item_message.xml"
            line="135"
            column="14"
            startOffset="5400"
            endLine="135"
            endColumn="23"
            endOffset="5409"/>
    </incident>

    <incident
        id="ContentDescription"
        severity="warning"
        message="Missing `contentDescription` attribute on image">
        <fix-alternatives>
            <fix-attribute
                description="Set contentDescription"
                namespace="http://schemas.android.com/apk/res/android"
                attribute="contentDescription"
                value="TODO"
                point="4"
                mark="0"/>
            <fix-attribute
                description="Set importantForAccessibility=&quot;no&quot;"
                namespace="http://schemas.android.com/apk/res/android"
                attribute="importantForAccessibility"
                value="no"/>
        </fix-alternatives>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/item_message.xml"
            line="256"
            column="14"
            startOffset="10367"
            endLine="256"
            endColumn="23"
            endOffset="10376"/>
    </incident>

    <incident
        id="ContentDescription"
        severity="warning"
        message="Missing `contentDescription` attribute on image">
        <fix-alternatives>
            <fix-attribute
                description="Set contentDescription"
                namespace="http://schemas.android.com/apk/res/android"
                attribute="contentDescription"
                value="TODO"
                point="4"
                mark="0"/>
            <fix-attribute
                description="Set importantForAccessibility=&quot;no&quot;"
                namespace="http://schemas.android.com/apk/res/android"
                attribute="importantForAccessibility"
                value="no"/>
        </fix-alternatives>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/item_user.xml"
            line="18"
            column="10"
            startOffset="713"
            endLine="18"
            endColumn="19"
            endOffset="722"/>
    </incident>

    <incident
        id="ContentDescription"
        severity="warning"
        message="Missing `contentDescription` attribute on image">
        <fix-alternatives>
            <fix-attribute
                description="Set contentDescription"
                namespace="http://schemas.android.com/apk/res/android"
                attribute="contentDescription"
                value="TODO"
                point="4"
                mark="0"/>
            <fix-attribute
                description="Set importantForAccessibility=&quot;no&quot;"
                namespace="http://schemas.android.com/apk/res/android"
                attribute="importantForAccessibility"
                value="no"/>
        </fix-alternatives>
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/toolbar_chat.xml"
            line="23"
            column="6"
            startOffset="908"
            endLine="23"
            endColumn="15"
            endOffset="917"/>
    </incident>

    <incident
        id="SetTextI18n"
        severity="warning"
        message="String literal in `setText` can not be translated. Use Android resources instead.">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/auth/AuthActivity.kt"
            line="108"
            column="47"
            startOffset="4252"
            endLine="108"
            endColumn="60"
            endOffset="4265"/>
    </incident>

    <incident
        id="SetTextI18n"
        severity="warning"
        message="String literal in `setText` can not be translated. Use Android resources instead.">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/auth/AuthActivity.kt"
            line="165"
            column="55"
            startOffset="6526"
            endLine="165"
            endColumn="129"
            endOffset="6600"/>
    </incident>

    <incident
        id="SetTextI18n"
        severity="warning"
        message="Do not concatenate text displayed with `setText`. Use resource string with placeholders.">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/chat/ChatActivity.kt"
            line="606"
            column="47"
            startOffset="26238"
            endLine="606"
            endColumn="76"
            endOffset="26267"/>
    </incident>

    <incident
        id="SetTextI18n"
        severity="warning"
        message="Do not concatenate text displayed with `setText`. Use resource string with placeholders.">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/CreateChatActivity.kt"
            line="213"
            column="53"
            startOffset="8180"
            endLine="213"
            endColumn="102"
            endOffset="8229"/>
    </incident>

    <incident
        id="SetTextI18n"
        severity="warning"
        message="String literal in `setText` can not be translated. Use Android resources instead.">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/CreateChatActivity.kt"
            line="213"
            column="79"
            startOffset="8206"
            endLine="213"
            endColumn="85"
            endOffset="8212"/>
    </incident>

    <incident
        id="SetTextI18n"
        severity="warning"
        message="String literal in `setText` can not be translated. Use Android resources instead.">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/CreateChatActivity.kt"
            line="238"
            column="51"
            startOffset="9253"
            endLine="238"
            endColumn="77"
            endOffset="9279"/>
    </incident>

    <incident
        id="SetTextI18n"
        severity="warning"
        message="Do not concatenate text displayed with `setText`. Use resource string with placeholders.">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/chat/MessageAdapter.kt"
            line="260"
            column="46"
            startOffset="12786"
            endLine="260"
            endColumn="76"
            endOffset="12816"/>
    </incident>

    <incident
        id="SetTextI18n"
        severity="warning"
        message="Do not concatenate text displayed with `setText`. Use resource string with placeholders.">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/chat/MessageAdapter.kt"
            line="343"
            column="47"
            startOffset="17678"
            endLine="343"
            endColumn="71"
            endOffset="17702"/>
    </incident>

    <incident
        id="SetTextI18n"
        severity="warning"
        message="String literal in `setText` can not be translated. Use Android resources instead.">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/profile/ProfileActivity.kt"
            line="98"
            column="43"
            startOffset="3239"
            endLine="98"
            endColumn="56"
            endOffset="3252"/>
    </incident>

    <incident
        id="SetTextI18n"
        severity="warning"
        message="String literal in `setText` can not be translated. Use Android resources instead.">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/settings/SettingsActivity.kt"
            line="78"
            column="43"
            startOffset="2589"
            endLine="78"
            endColumn="59"
            endOffset="2605"/>
    </incident>

    <incident
        id="SetTextI18n"
        severity="warning"
        message="Do not concatenate text displayed with `setText`. Use resource string with placeholders.">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/UserSelectionActivity.kt"
            line="165"
            column="58"
            startOffset="6051"
            endLine="165"
            endColumn="105"
            endOffset="6098"/>
    </incident>

    <incident
        id="SetTextI18n"
        severity="warning"
        message="Do not concatenate text displayed with `setText`. Use resource string with placeholders.">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/UserSelectionActivity.kt"
            line="279"
            column="47"
            startOffset="10371"
            endLine="279"
            endColumn="63"
            endOffset="10387"/>
    </incident>

    <incident
        id="SetTextI18n"
        severity="warning"
        message="String literal in `setText` can not be translated. Use Android resources instead.">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*javaDir*0}/com/crm/chat/ui/main/UserSelectionActivity.kt"
            line="279"
            column="48"
            startOffset="10372"
            endLine="279"
            endColumn="52"
            endOffset="10376"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Дополнительные настройки&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_auth.xml"
            line="111"
            column="17"
            startOffset="5179"
            endLine="111"
            endColumn="56"
            endOffset="5218"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Cancel reply&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_chat.xml"
            line="89"
            column="17"
            startOffset="3970"
            endLine="89"
            endColumn="58"
            endOffset="4011"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Cancel file attachment&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_chat.xml"
            line="126"
            column="17"
            startOffset="5735"
            endLine="126"
            endColumn="68"
            endOffset="5786"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Создать чат&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_create_chat.xml"
            line="29"
            column="17"
            startOffset="1188"
            endLine="29"
            endColumn="43"
            endOffset="1214"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Тип чата&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_create_chat.xml"
            line="43"
            column="17"
            startOffset="1814"
            endLine="43"
            endColumn="40"
            endOffset="1837"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Личный чат&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_create_chat.xml"
            line="63"
            column="21"
            startOffset="2747"
            endLine="63"
            endColumn="46"
            endOffset="2772"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Групповой чат&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_create_chat.xml"
            line="70"
            column="21"
            startOffset="3031"
            endLine="70"
            endColumn="49"
            endOffset="3059"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Внешний чат&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_create_chat.xml"
            line="76"
            column="21"
            startOffset="3278"
            endLine="76"
            endColumn="47"
            endOffset="3304"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Используется CRM Chat Provider (ID: 994)&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_create_chat.xml"
            line="85"
            column="17"
            startOffset="3590"
            endLine="85"
            endColumn="72"
            endOffset="3645"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Собеседник&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_create_chat.xml"
            line="98"
            column="17"
            startOffset="4220"
            endLine="98"
            endColumn="42"
            endOffset="4245"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Выбрать пользователя&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_create_chat.xml"
            line="110"
            column="17"
            startOffset="4794"
            endLine="110"
            endColumn="52"
            endOffset="4829"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Название группы&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_create_chat.xml"
            line="135"
            column="17"
            startOffset="5966"
            endLine="135"
            endColumn="47"
            endOffset="5996"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Введите название группы&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_create_chat.xml"
            line="147"
            column="17"
            startOffset="6554"
            endLine="147"
            endColumn="55"
            endOffset="6592"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;ID участников (через запятую)&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_create_chat.xml"
            line="167"
            column="17"
            startOffset="7513"
            endLine="167"
            endColumn="61"
            endOffset="7557"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;1,2,3&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_create_chat.xml"
            line="179"
            column="17"
            startOffset="8126"
            endLine="179"
            endColumn="37"
            endOffset="8146"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Название чата&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_create_chat.xml"
            line="199"
            column="17"
            startOffset="9036"
            endLine="199"
            endColumn="45"
            endOffset="9064"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Введите название чата&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_create_chat.xml"
            line="211"
            column="17"
            startOffset="9625"
            endLine="211"
            endColumn="53"
            endOffset="9661"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;ID сущности (опционально)&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_create_chat.xml"
            line="231"
            column="17"
            startOffset="10536"
            endLine="231"
            endColumn="57"
            endOffset="10576"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Введите ID сущности&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_create_chat.xml"
            line="242"
            column="17"
            startOffset="11100"
            endLine="242"
            endColumn="51"
            endOffset="11134"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Создать чат&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_create_chat.xml"
            line="262"
            column="17"
            startOffset="12048"
            endLine="262"
            endColumn="43"
            endOffset="12074"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Back&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_image_viewer.xml"
            line="35"
            column="21"
            startOffset="1517"
            endLine="35"
            endColumn="54"
            endOffset="1550"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Download&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_image_viewer.xml"
            line="60"
            column="21"
            startOffset="2657"
            endLine="60"
            endColumn="58"
            endOffset="2694"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Medical Control Logo&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_main.xml"
            line="29"
            column="17"
            startOffset="1197"
            endLine="29"
            endColumn="66"
            endOffset="1246"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Menu&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_main.xml"
            line="40"
            column="17"
            startOffset="1672"
            endLine="40"
            endColumn="50"
            endOffset="1705"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Аватар&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_profile.xml"
            line="52"
            column="21"
            startOffset="2224"
            endLine="52"
            endColumn="42"
            endOffset="2245"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;User Avatar&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_profile.xml"
            line="64"
            column="21"
            startOffset="2776"
            endLine="64"
            endColumn="61"
            endOffset="2816"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Изменить&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_profile.xml"
            line="75"
            column="21"
            startOffset="3383"
            endLine="75"
            endColumn="44"
            endOffset="3406"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Имя&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_profile.xml"
            line="88"
            column="17"
            startOffset="4019"
            endLine="88"
            endColumn="35"
            endOffset="4037"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Email&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_profile.xml"
            line="108"
            column="17"
            startOffset="4969"
            endLine="108"
            endColumn="37"
            endOffset="4989"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Телефон&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_profile.xml"
            line="128"
            column="17"
            startOffset="5926"
            endLine="128"
            endColumn="39"
            endOffset="5948"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Сохранить&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_profile.xml"
            line="149"
            column="17"
            startOffset="6921"
            endLine="149"
            endColumn="41"
            endOffset="6945"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Сервер&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_settings.xml"
            line="52"
            column="21"
            startOffset="2237"
            endLine="52"
            endColumn="42"
            endOffset="2258"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Адрес сервера&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_settings.xml"
            line="65"
            column="21"
            startOffset="2888"
            endLine="65"
            endColumn="49"
            endOffset="2916"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;API-ключ&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_settings.xml"
            line="85"
            column="21"
            startOffset="3923"
            endLine="85"
            endColumn="44"
            endOffset="3946"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Тема&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_settings.xml"
            line="117"
            column="21"
            startOffset="5499"
            endLine="117"
            endColumn="40"
            endOffset="5518"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Темная тема&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_settings.xml"
            line="130"
            column="21"
            startOffset="6148"
            endLine="130"
            endColumn="47"
            endOffset="6174"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Сохранить&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_settings.xml"
            line="144"
            column="17"
            startOffset="6809"
            endLine="144"
            endColumn="41"
            endOffset="6833"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Создать чат&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/activity_user_selection.xml"
            line="53"
            column="9"
            startOffset="2179"
            endLine="53"
            endColumn="35"
            endOffset="2205"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;📎&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/item_message.xml"
            line="118"
            column="21"
            startOffset="4751"
            endLine="118"
            endColumn="38"
            endOffset="4768"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;📎&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/item_message.xml"
            line="239"
            column="21"
            startOffset="9706"
            endLine="239"
            endColumn="38"
            endOffset="9723"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Профиль&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/menu/main_menu.xml"
            line="7"
            column="9"
            startOffset="219"
            endLine="7"
            endColumn="32"
            endOffset="242"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Настройки&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/menu/main_menu.xml"
            line="12"
            column="9"
            startOffset="338"
            endLine="12"
            endColumn="34"
            endOffset="363"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Выход&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/menu/main_menu.xml"
            line="17"
            column="9"
            startOffset="457"
            endLine="17"
            endColumn="30"
            endOffset="478"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Готово&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/menu/menu_user_selection.xml"
            line="6"
            column="9"
            startOffset="217"
            endLine="6"
            endColumn="31"
            endOffset="239"/>
    </incident>

    <incident
        id="HardcodedText"
        severity="warning"
        message="Hardcoded string &quot;Back&quot;, should use `@string` resource">
        <location
            file="${:app*debug*MAIN*sourceProvider*0*resDir*0}/layout/toolbar_chat.xml"
            line="20"
            column="9"
            startOffset="840"
            endLine="20"
            endColumn="42"
            endOffset="873"/>
    </incident>

</incidents>
